Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.http11.upgrade
Interface UpgradeInbound

All Known Implementing Classes:
  MessageInbound, StreamInbound

    public interface UpgradeInbound

Receives notification that there is data to be read on the upgraded connection and processes it.

Method Summary
`int` | `getReadTimeout()` Allow the upgraded protocol to define the read timeout to be used with the upgraded connection.
`AbstractEndpoint.Handler.SocketState` | `onData()`
`void` | `onUpgradeComplete()`
`void` | `setUpgradeOutbound(UpgradeOutbound upgradeOutbound)`
`void` | `setUpgradeProcessor(UpgradeProcessor<?> processor)`

Method Detail

### setUpgradeProcessor

    void setUpgradeProcessor(UpgradeProcessor<?> processor)

### onUpgradeComplete

    void onUpgradeComplete()

### onData

    AbstractEndpoint.Handler.SocketState onData()
                                                throws IOException

  Throws:
    `IOException`

### setUpgradeOutbound

    void setUpgradeOutbound(UpgradeOutbound upgradeOutbound)

### getReadTimeout

    int getReadTimeout()

  Allow the upgraded protocol to define the read timeout to be used with the upgraded connection.

  Returns:
    The read timeout in milliseconds or -1 for infinite

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.